# Trigger a data sync

URL: https://docs.sparklayer.io/ignite/api/trigger-a-data-sync
Operation: `POST /v1/{siteEnv}/{siteId}/status/{syncDataType}` (operationId `triggerDataSync`)
OpenAPI spec: https://docs.sparklayer.io/openapi/ignite.yaml

Allow internal users (e.g. support staff) to trigger a manual sync external to the standard process.

`POST /v1/{siteEnv}/{siteId}/status/{syncDataType}`

> This is an Ignite endpoint: your integration service implements it and SparkLayer calls it.

### Request SparkLayer sends

```http
POST /v1/live/bobs-store/status/products HTTP/1.1
Host: ignite.example.com
```

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `siteEnv` | string | Yes | The SparkLayer environment the request is for, such as `live`. Store it, with the site ID, when SparkLayer connects your platform. Example: `live` |
| `siteId` | string | Yes | The SparkLayer site ID the request is for, such as `bobs-store`. Store it, with the environment, when SparkLayer connects your platform. Length: min 1. Example: `bobs-store` |
| `syncDataType` | "customers" \| "products" \| "purchases" \| "merchant" \| "customer_groups" | Yes | Example: `products` |

### Responses your service returns

#### 201: Initiated Data Sync

#### 400: Unable to trigger another data sync as there is one in progress

#### 401: Auth Failure

#### 500: System Exception
